## gpick 0.2.5+git20161221

=== SConstruct ===
#!/usr/bin/env python

SConscript(['SConscript'], variant_dir='build', duplicate=0)
