## gpick 0.2.3

=== debian/changelog ===
gpick (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #579617)
  * Switched to share expat library and avoid its internal library.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 11 Nov 2010 18:03:50 -0500
