=== debian/control ===
Source: gpick
Section: graphics
Priority: optional
Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), scons, libcairo2 (>=1.6),
 libglib2.0-0 (>=2.16), libdbus-glib-1-dev (>=0.76), libgtk2.0-dev (>= 2.12),
 liblua5.1-0-dev (>= 5.1), libboost-dev, libexpat1-dev, lemon, flex
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/gpick/
Vcs-Git: git://git.debian.org/collab-maint/gpick.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpick.git;a=summary

Package: gpick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced GTK+ color picker
 gpick is an advanced color picker used to pick colors from anywhere
 on the screen, mix them to  get new colors, generate shades and tints,
 and export palettes to common file formats or simply copy them
 to the clipboard.
