=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

debian_destdir :=$(CURDIR)/debian/gpick/usr

%:
	dh $@ 

override_dh_clean:
	dh_testdir
	dh_testroot
	scons -c -C src
	find -name "*.pyc" -delete
	rm -f build-stamp configure-stamp
	rm -rf .sconsign.dblite config.log .sconf_temp/ build/
	dh_clean

override_dh_install:
	scons install DESTDIR=$(debian_destdir)
	rm -f $(debian_destdir)/share/doc/copyright
	rm -f $(debian_destdir)/share/man/man1/gpick.1
