## gpick 0.2.4

=== debian/changelog ===
gpick (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.2
  * Bump debhelper compat to 8
  * Upstream fixed wrong color (Closes: #622964)
  * Updated debian/copyright under DEP-5 format.
  * Added '-Wl,--as-needed' flag into debian/rules.
  * 01_expat_dependency.patch: Updated.
  * 02_dsolink_expat.patch: Updated.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Tue, 14 Jun 2011 13:44:26 -0500
