=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+LDFLAGS+=-Wl,--as-needed
 
 debian_destdir :=$(CURDIR)/debian/gpick/usr
