=== debian/watch ===
version=3

http://googlecode.debian.net/p/gpick/gpick_(\d+.*)\.tar\.gz
