## gpick 0.2.5

=== debian/changelog ===
gpick (0.2.5-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.9.4
  * Bump debhelper compat to 9
  * Enabled hardening build flags
  * debian/control
    + liblua5.2-dev instead liblua5.1-0-dev under Build-Depends
  * debian/watch
    + Updated path to match the new names of the source tarballs
  * debian/patches
    + Removed 01_expat_dependency.patch (Upstream has fixed)
    + Removed 02_dsolink_expat.patch (Upstream has included)
  * debian/copyright
    + Updated copyright format
  * debian/gpick.1
    + Included 2 new options for manpage file
  
 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 27 Mar 2013 09:13:07 -0500
