=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), scons, libcairo2 (>=1.6),
+Build-Depends: debhelper (>= 9.0.0), scons, libcairo2 (>=1.6),
  libglib2.0-0 (>=2.16), libdbus-glib-1-dev (>=0.76), libgtk2.0-dev (>= 2.12),
- liblua5.1-0-dev (>= 5.1), libboost-dev, libexpat1-dev, lemon, flex
-Standards-Version: 3.9.2
+ liblua5.2-dev (>= 5.2), libboost-dev, libexpat1-dev, lemon, flex, hardening-includes
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/gpick/
 Vcs-Git: git://git.debian.org/collab-maint/gpick.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gpick.git;a=summary
