=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
 
-LDFLAGS+=-Wl,--as-needed
+include /usr/share/hardening-includes/hardening.make
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+CFLAGS += $(HARDENING_CFLAGS)
+LDFLAGS += $(HARDENING_LDFLAGS)
+CXXFLAGS += $(HARDENING_CFLAGS)
 
 debian_destdir :=$(CURDIR)/debian/gpick/usr
