=== debian/watch ===
version=3

http://code.google.com/p/gpick/downloads/list?can=1 .*/gpick_(\d[\d.]*)\.(?:tar\.gz)
