## gpick 0.2.5%2Bgit20161221

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), scons, libcairo2 (>=1.6),
  libglib2.0-0 (>=2.16), libdbus-glib-1-dev (>=0.76), libgtk2.0-dev (>= 2.12),
- liblua5.2-dev (>= 5.2), libboost-dev, libexpat1-dev, lemon, flex, hardening-includes
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/gpick/
-Vcs-Git: git://git.debian.org/collab-maint/gpick.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gpick.git;a=summary
+ liblua5.2-dev (>= 5.2), libboost-dev, libexpat1-dev, lemon, flex, ragel, gettext,
+ libboost-test-dev, libboost-system-dev, libboost-filesystem-dev
+Standards-Version: 3.9.8
+Homepage: http://www.gpick.org
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gpick.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gpick.git
 
 Package: gpick
 Architecture: any
