## gpick 0.2.5+git20161017

=== debian/changelog ===
gpick (0.2.5+git20161017-1) unstable; urgency=medium

  * Imported Upstream Git snapshot 0.2.5+git20161017
  * Upstream fixed replacement of colors.txt
    because of license issues (Closes: #838414)
  * Updated debian/copyright
  * debian/patches
    + 01_reproducible_build.patch: Updated
  * debian/control
    + Add Build-Depends: ragel, gettext,libboost-test-dev,
      libboost-system-dev, libboost-filesystem-dev

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 17 Oct 2016 20:33:52 -0300

gpick (0.2.5-2) unstable; urgency=medium

  * Updated Standards-Version to 3.9.8
  * Updated hardening build flags (Closes: #836755)
  * debian/patches
    + 01_reproducible_build.patch (Closes: #831041)
      Thanks to Chris Lamb for the patch
    + 02_desktop_file.patch
      Updated desktop file entries
  * debian/control
    + Vcs-* fields updated for https:// usage
    + Homepage field updated
  * debian/watch
    + Updated for check new versions
  * debian/copyright
    + Updated format

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 18 Sep 2016 22:17:33 -0300
