## gpick 0.2.5+git20161221

=== debian/changelog ===
gpick (0.2.5+git20161221-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:14:56 +0000

gpick (0.2.5+git20161221-1) unstable; urgency=medium

  * Imported Upstream Git snapshot 0.2.5+git20161221
  * debian/patches
    + 03_hurd_kfreebsd_ftbfs.patch (Closes: #843390)

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 26 Dec 2016 19:40:36 -0300
