=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 
-include /usr/share/hardening-includes/hardening.make
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
-CFLAGS += $(HARDENING_CFLAGS)
-LDFLAGS += $(HARDENING_LDFLAGS)
-CXXFLAGS += $(HARDENING_CFLAGS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
+LDFLAGS += -Wl,--as-needed
 
 debian_destdir :=$(CURDIR)/debian/gpick/usr
