=== debian/watch ===
version=3

https://github.com/thezbyg/gpick/releases /thezbyg/gpick/archive/gpick-(\d[\d.]*).tar\.gz
