## gpick 0.2.6~rc1

=== debian/changelog ===
gpick (0.2.6~rc1-4) unstable; urgency=medium

  * debian/control
    + Vcs-* fields update path

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 22 Apr 2020 15:52:39 -0500

gpick (0.2.6~rc1-3) unstable; urgency=medium

  * debian/tests
    + testsuite process with xvfb X server
  * debian/control
    + Remove libdbus-glib-1-dev under Build-Depends (Closes: #955844)
  * debian/salsa-ci
    + Add variables to customizing REPROTEST process
  * debian/patches
    + 07_environment_variable_version.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Tue, 07 Apr 2020 12:07:03 -0500

gpick (0.2.6~rc1-2) unstable; urgency=medium

  * Update Standards-Version to 4.5.0
  * debian/control
    + Add Rules-Requires-Root: no
  * debian/tests
    + Add to perform a simple test
  * debian/upstream
    + Add DEP-12 metadata
  * debian/salsa-ci
    + Add configuration file
  * debian/patches
    + 05_scons_python3.patch
    + 06_fix_python_indentation.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 23 Mar 2020 20:12:37 -0500

gpick (0.2.6~rc1-1) unstable; urgency=medium

  * New upstream release
  * Updated Standards-Version to 4.4.0.1
  * Bump compatibility debhelper 12
  * debian/copyright
    + Updated copyright years
    + Added share/appdata/gpick.appdata.xml
  * debian/control
    + Vcs-* fields updated
  * debian/watch
    + Updated for check new versions
  * debian/patches
    + 01_reproducible_build.patch: Updated
    + Removed 03_hurd_kfreebsd_ftbfs.patch (Upstream has included)
    + 04_appdata_file_path.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 08 Sep 2019 17:49:44 -0500
