=== debian/tests/control ===
Tests: version
Depends: gpick, xvfb, xauth
Restrictions: allow-stderr
