=== SConstruct ===
#!/usr/bin/env python
SConscript(['SConscript'], variant_dir = 'build', duplicate = 0)
