=== debian/changelog ===
gpick (0.2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112974)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Oct 2025 12:56:29 +0200

gpick (0.2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: build depend on -dev packages instead of shared libraries
    (Closes: #1067676)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Apr 2024 13:17:18 +0200

gpick (0.2.6-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.5.1
  * debian/copyright
    + Update copyright years
    + Update path to share/metainfo/gpick.appdata.xml
  * debian/rules
    + Remove debian/destdir variable
    + Remove override_dh_clean
    + Remove override_dh_install
  * debian/control
    + Switch build system to cmake instead of scons
    + Switch to libgtk-3-dev (Closes: #967450)
    + Switch to liblua5.4-dev (Closes: #981150)
  * debian/patches
    + Remove 01_reproducible_build.patch (Because of use of cmake)
    + Remove 02_desktop_file.patch (Upstream has included)
    + Remove 04_appdata_file_path.patch (Upstream has included)
    + Remove 05_scons_python3.patch (Upstream has included)
    + Remove 06_fix_python_identation.patch (Because of use of cmake)
    + Remove 07_environment_variable_version.patch (Upstream has included)
    + Remove 08_reproducible_buildpath.patch (Because of use of cmake)

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 11 Jan 2021 19:33:16 -0500

gpick (0.2.6~rc1-5) unstable; urgency=medium

  * Fix definition of LOCALEDIR variable (Closes: #956591)
  * Declare autopkgtest as superficial (Closes: #971472)
  * Bump compatibility debhelper 13
  * Add lintian override regarding documentation-outside-usr-share-doc
  * debian/salsa-ci
    + Enable atomic reprotest
  * debian/patches
    + 08_reproducible_buildpath.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 21 Oct 2020 16:25:33 -0500
