=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper-compat (= 12), scons, libcairo2 (>=1.6),
- libglib2.0-0 (>=2.16), libgtk2.0-dev (>= 2.12), liblua5.2-dev (>= 5.2),
+Build-Depends: debhelper-compat (= 13), cmake, libcairo2-dev (>=1.6),
+ libglib2.0-dev (>=2.16), libgtk-3-dev, liblua5.4-dev (>= 5.4),
  libboost-dev, libexpat1-dev, lemon, flex, ragel, gettext,
  libboost-test-dev, libboost-system-dev, libboost-filesystem-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.gpick.org
 Vcs-Git: https://salsa.debian.org/elias/gpick.git
