=== debian/watch ===
version=4
opts=uversionmangle=s/(rc)([\d\.+])/~$1$2/ \
  https://github.com/thezbyg/gpick/releases /thezbyg/gpick/archive/gpick-(\d\S+)\.tar\.gz
